Open SCAP Library

oscap_string_iterator Struct Reference
Common » STRINGS

String iterator. More...

`#include <oscap_text.h>`

## Public Member Functions
Iterators
const char * | oscap_string_iterator_next (struct oscap_string_iterator *it)
bool | oscap_string_iterator_has_more (struct oscap_string_iterator *it)
void | oscap_string_iterator_free (struct oscap_string_iterator *it)
void | oscap_string_iterator_remove (struct oscap_string_iterator *it)
void | oscap_string_iterator_reset (struct oscap_string_iterator *it)

## Detailed Description

String iterator.

An iterator iterating over a collection of char*-s.

See also
  oscap_iterator

The documentation for this struct was generated from the following file:

- oscap_text.h